Index: /code/branches/FlappyOrx_HS17/data/overlays/FlappyOrxHUD.oxo
===================================================================
--- /code/branches/FlappyOrx_HS17/data/overlays/FlappyOrxHUD.oxo	(revision 11575)
+++ /code/branches/FlappyOrx_HS17/data/overlays/FlappyOrxHUD.oxo	(revision 11576)
@@ -19,35 +19,52 @@
 
     <FlappyOrxHUDinfo
-     position  = "0.02, 0.01"
+     position  = "0.5, 0.5"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 0.0, 0.0, 1.0"
+     align     = "center"
+
+     showmessage     = true
+     messageID = 0
+
+    />
+
+    <FlappyOrxHUDinfo
+         position  = "0.5, 0.6"
+         pickpoint = "0.0, 0.0"
+         font      = "ShareTechMono"
+         textsize  = 0.04
+         colour    = "1.0, 1.0, 1.0, 1.0"
+         align     = "center"
+
+         showmessage     = true
+         messageID = 1
+    />
+    <FlappyOrxHUDinfo
+     position  = "0.5, 0.65"
      pickpoint = "0.0, 0.0"
      font      = "ShareTechMono"
      textsize  = 0.04
      colour    = "1.0, 1.0, 1.0, 1.0"
-     align     = "left"
+     align     = "center"
 
      showmessage     = true
+     messageID = 2
     />
-
-    <!-- <FlappyOrxHUDinfo 
-     position  = "0.14, 0.01"
+    <FlappyOrxHUDinfo
+     position  = "0.5, 0.7"
      pickpoint = "0.0, 0.0"
      font      = "ShareTechMono"
      textsize  = 0.04
      colour    = "1.0, 1.0, 1.0, 1.0"
-     align     = "left"
+     align     = "center"
 
-     showlives     = true
-     showpoints     = false
+     showmessage     = true
+     messageID = 3
+
     />
 
-    <OverlayText
-     position  = "0.14, 0.02"
-     pickpoint = "0.0, 0.0"
-     font      = "ShareTechMono"
-     textsize  = 0.04
-     colour    = "1.0, 1.0, 1.0, 1.0"
-     align     = "left"
-     caption   = "Lives: "
-    /> -->
+    
   </OverlayGroup>
 </Template>
Index: /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc
===================================================================
--- /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc	(revision 11575)
+++ /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc	(revision 11576)
@@ -67,5 +67,5 @@
         point = 0;
         bShowLevel = false;
-        sDeathMessage = "Welcome to FlappyOrx\nPress Space to start!";
+        sDeathMessage = "Welcome to FlappyOrx";
         bIsDead = true;
         multiplier = 1;
@@ -198,6 +198,11 @@
     }
 
-    std::string FlappyOrx::getDeathMessage(){
-        return sDeathMessage;
+    void FlappyOrx::setDead(bool value){
+        bIsDead = value;
+        if(not value){
+            point = -1;
+            level=-1;
+            levelUp();
+        }
     }
 
@@ -237,5 +242,13 @@
     void FlappyOrx::death(){
         bIsDead = true;
-        sDeathMessage = "GameOver";
+        
+        if(point<10)        sDeathMessage = DeathMessage10[rand()%(sizeof(DeathMessage10)/sizeof(*DeathMessage10))];
+        else if(point<30)   sDeathMessage = DeathMessage30[rand()%(sizeof(DeathMessage30)/sizeof(*DeathMessage30))];
+        else if(point<50)   sDeathMessage = DeathMessage50[rand()%(sizeof(DeathMessage50)/sizeof(*DeathMessage50))];
+        else                sDeathMessage = DeathMessageover50[rand()%(sizeof(DeathMessageover50)/sizeof(*DeathMessageover50))];
+        
+        orxout()<<"message: "<<sDeathMessage<<std::endl;
+
+
         if (Highscore::exists()){
                     int score = this->getPoints();
@@ -243,7 +256,4 @@
                         Highscore::getInstance().storeHighscore("Flappy Orx",score);
         }
-        point = -1;
-        level=-1;
-        levelUp();
         while (!tubes.empty())
         {
Index: /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.h
===================================================================
--- /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.h	(revision 11575)
+++ /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.h	(revision 11576)
@@ -90,6 +90,6 @@
 
             bool isDead();
-            std::string getDeathMessage();
-
+            void setDead(bool value);
+            
             int lives;
             int multiplier;
Index: /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxHUDinfo.cc
===================================================================
--- /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxHUDinfo.cc	(revision 11575)
+++ /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxHUDinfo.cc	(revision 11576)
@@ -53,7 +53,7 @@
         SUPER(FlappyOrxHUDinfo, XMLPort, xmlelement, mode);
 
-        XMLPortParam(FlappyOrxHUDinfo, "showlives",     setShowLives,     getShowLives,     xmlelement, mode).defaultValues(false);
         XMLPortParam(FlappyOrxHUDinfo, "showpoints",    setShowPoints,    getShowPoints,    xmlelement, mode).defaultValues(false);
         XMLPortParam(FlappyOrxHUDinfo, "showmessage",   setShowMessage,   getShowMessage,   xmlelement, mode).defaultValues(false);
+        XMLPortParam(FlappyOrxHUDinfo, "messageID",     setMessageID,     getMessageID,     xmlelement, mode).defaultValues(0);
        
     
@@ -70,6 +70,4 @@
                     const std::string& points = "Score: "+multi_cast<std::string>(this->FlappyOrxGame->getPoints());
                     setTextSize(0.04);
-                    setPosition(Vector2(0.14, 0.02));
-                    this->setColour(ColourValue(1, 1, 1, 1));
                     this->setCaption(points);
                 }
@@ -83,12 +81,24 @@
                 }
                 else if(this->bShowGameOver_){
-                    std::string message = this->FlappyOrxGame->getDeathMessage();
-                    setTextSize(0.1);
-                    setPosition(Vector2(.5, .5));
-
-                    setAlignment(OverlayText::Alignment::Center);
-                    
+                    std::string message;
+                    setTextSize(0.05);
+                    switch(messageID){
+                        case 0:
+                            message = "Game Over";
+                            setTextSize(0.1);
+                            this->setCaption(message);
+                        break;
+                        case 1:
+                            message = this->FlappyOrxGame->sDeathMessage;
+                        break;
+                        case 2:
+                            message = "Your Score: "+multi_cast<std::string>(this->FlappyOrxGame->getPoints())+
+                                                    "  Local High Score: "+multi_cast<std::string>(Highscore::getInstance().getHighestScoreOfGame("Flappy Orx"));
+                        break;
+                        case 3:
+                            message = "Press space to restart.";
+                        break;
+                    }
                     this->setCaption(message);
-                    this->setColour(ColourValue(1, 0, 0, 1));
                 }
             }   
Index: /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxHUDinfo.h
===================================================================
--- /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxHUDinfo.h	(revision 11575)
+++ /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxHUDinfo.h	(revision 11576)
@@ -71,4 +71,12 @@
                 { return this->bShowGameOver_; }
 
+            inline void setMessageID(int value){
+                messageID = value;
+            }
+            inline int getMessageID() const
+                { return messageID; }
+
+
+
 
         private:
@@ -79,4 +87,5 @@
             bool bShowMultiplier_;
             bool bShowGameOver_;
+            int messageID;
             std::string sGameOverMessage_;
     };
Index: /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.cc
===================================================================
--- /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.cc	(revision 11575)
+++ /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.cc	(revision 11576)
@@ -131,5 +131,5 @@
         if(isDead){
             isDead = false;
-            getGame()->bIsDead = false;
+            getGame()->setDead(false);
         }
         isFlapping=boost;