Index: code/branches/FlappyOrx_HS17/data/levels/FlappyOrx.oxw
===================================================================
--- code/branches/FlappyOrx_HS17/data/levels/FlappyOrx.oxw	(revision 11576)
+++ code/branches/FlappyOrx_HS17/data/levels/FlappyOrx.oxw	(revision 11580)
@@ -51,5 +51,5 @@
 
     <?lua
-      for i = 1, 6, 1 do
+      for i = 1, 5, 1 do
         for j = 3, 12,3 do
     ?>
@@ -69,5 +69,5 @@
         </attached>
         <collisionShapes>
-          <SphereCollisionShape radius="<?lua print(j) ?>" />
+          <SphereCollisionShape radius="<?lua print(j + 5) ?>" />
         </collisionShapes>
       </MovableEntity>
Index: code/branches/FlappyOrx_HS17/data/levels/templates/spaceshipFlappyOrx.oxt
===================================================================
--- code/branches/FlappyOrx_HS17/data/levels/templates/spaceshipFlappyOrx.oxt	(revision 11576)
+++ code/branches/FlappyOrx_HS17/data/levels/templates/spaceshipFlappyOrx.oxt	(revision 11580)
@@ -58,5 +58,7 @@
     </attached>
     <collisionShapes>
-      <SphereCollisionShape position="-0.8    ,0 ,  -10" radius="15" />
+      <SphereCollisionShape position="-1.8    ,0 ,  -11" radius="15" />
+      <SphereCollisionShape position="-0.8   ,0 ,  0" radius="16" />
+      <SphereCollisionShape position="0   ,0 ,  11" radius="12.5" />
     </collisionShapes>
     <explosion >
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc	(revision 11576)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc	(revision 11580)
@@ -51,5 +51,5 @@
 #include "core/command/ConsoleCommand.h"
 #include "worldentities/ExplosionPart.h"
-
+#include <vector>
 
 namespace orxonox
@@ -167,11 +167,11 @@
 
         if(c.r<=5)
-            newAsteroid->addTemplate(Asteroid5[rand()%6]);
+            newAsteroid->addTemplate(Asteroid5[rand()%NUM_ASTEROIDS]);
         else if(c.r<=10)
-            newAsteroid->addTemplate(Asteroid10[rand()%6]);
+            newAsteroid->addTemplate(Asteroid10[rand()%NUM_ASTEROIDS]);
         else if(c.r<=15)
-            newAsteroid->addTemplate(Asteroid15[rand()%6]);
+            newAsteroid->addTemplate(Asteroid15[rand()%NUM_ASTEROIDS]);
         else
-            newAsteroid->addTemplate(Asteroid20[rand()%6]);
+            newAsteroid->addTemplate(Asteroid20[rand()%NUM_ASTEROIDS]);
         
         newAsteroid->setPosition(Vector3(c.x, 0, c.y));
@@ -207,14 +207,4 @@
     }
 
-    void FlappyOrx::comboControll()
-    {
-        if (b_combo)
-            multiplier++;
-        // if no combo was performed before, reset multiplier
-        else
-            multiplier = 1;
-        b_combo = false;
-    }
-
     void FlappyOrx::start()
     {
@@ -231,20 +221,13 @@
         Deathmatch::start();
     }
-    void FlappyOrx::addPoints(int numPoints)
-    {
-        if (!bEndGame)
-        {
-            point += numPoints * multiplier;
-            b_combo = true;
-        }
-    }
+
 
     void FlappyOrx::death(){
         bIsDead = true;
         
-        if(point<10)        sDeathMessage = DeathMessage10[rand()%(sizeof(DeathMessage10)/sizeof(*DeathMessage10))];
-        else if(point<30)   sDeathMessage = DeathMessage30[rand()%(sizeof(DeathMessage30)/sizeof(*DeathMessage30))];
-        else if(point<50)   sDeathMessage = DeathMessage50[rand()%(sizeof(DeathMessage50)/sizeof(*DeathMessage50))];
-        else                sDeathMessage = DeathMessageover50[rand()%(sizeof(DeathMessageover50)/sizeof(*DeathMessageover50))];
+        if(point<10)        sDeathMessage = DeathMessage10[rand()%(DeathMessage10.size())];
+        else if(point<30)   sDeathMessage = DeathMessage30[rand()%(DeathMessage30.size())];
+        else if(point<50)   sDeathMessage = DeathMessage50[rand()%(DeathMessage50.size())];
+        else                sDeathMessage = DeathMessageover50[rand()%(DeathMessageover50.size())];
         
         orxout()<<"message: "<<sDeathMessage<<std::endl;
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.h
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.h	(revision 11576)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.h	(revision 11580)
@@ -40,9 +40,8 @@
 #include "gametypes/Deathmatch.h"
 #include "tools/Timer.h"
-
+#include <vector>
 
 namespace orxonox
 {
-
     struct Circle{
         int r;
@@ -102,4 +101,5 @@
             int spawnDistance;
             int tubeOffsetX;
+
         private:
             void toggleShowLevel(){bShowLevel = !bShowLevel;}
@@ -155,18 +155,21 @@
             bool b_combo;
 
-            const std::string Asteroid5[6] = {"Asteroid3_1","Asteroid3_2","Asteroid3_3","Asteroid3_4","Asteroid3_5","Asteroid3_6"};
-            const std::string Asteroid10[6] = {"Asteroid6_1","Asteroid6_2","Asteroid6_3","Asteroid6_4","Asteroid6_5","Asteroid6_6"};
-            const std::string Asteroid15[6] = {"Asteroid9_1","Asteroid9_2","Asteroid9_3","Asteroid9_4","Asteroid9_5","Asteroid9_6"};
-            const std::string Asteroid20[6] = {"Asteroid12_1","Asteroid12_2","Asteroid12_3","Asteroid12_4","Asteroid12_5","Asteroid12_6"};
+            const int NUM_ASTEROIDS = 5;
+
+
+           const std::string Asteroid5[5] = {"Asteroid3_1","Asteroid3_2","Asteroid3_3","Asteroid3_4","Asteroid3_5"};
+           const std::string Asteroid10[5] = {"Asteroid6_1","Asteroid6_2","Asteroid6_3","Asteroid6_4","Asteroid6_5"};
+           const std::string Asteroid15[5] = {"Asteroid9_1","Asteroid9_2","Asteroid9_3","Asteroid9_4","Asteroid9_5"};
+           const std::string Asteroid20[5] = {"Asteroid12_1","Asteroid12_2","Asteroid12_3","Asteroid12_4","Asteroid12_5"};
            
-            const std::string DeathMessage10[7] = {
+            std::vector<std::string> DeathMessage10 = {
                 "You should really try that again",
                 "You can do better, can you?",
-                "Hey maybe you get a paticipation award, that's good isn't it?",
-                "Hey congratulations, you get an medal, a wooden one",
+                "Hey maybe you get a participation award, that's good isn't it?",
+                "Congratulations, you get a medal, a wooden one",
                 "That was flappin bad!",
                 "Getting closer to something",
-                "Well that was a waste of time"};
-            const std::string DeathMessage30[6] = {
+                "Well, that was a waste of time"};
+            std::vector<std::string> DeathMessage30 = {
                 "Getting better!",
                 "Training has paid off, huh?",
@@ -175,5 +178,5 @@
                 "Flappin average",
                 "That wasn't crap, not bad"};
-            const std::string DeathMessage50[6] = {
+            std::vector<std::string> DeathMessage50 = {
                 "Flappin great",
                 "Good job!",
@@ -182,5 +185,5 @@
                 "That was really good,!",
                 "We are proud of you"};
-            const std::string DeathMessageover50[6] = {
+            std::vector<std::string> DeathMessageover50 = {
                 "You're flappin amazing",
                 "Fucking great job",