Index: code/branches/CampaignMap_HS17/data/levels/NC_StoryModeLevel.oxw
===================================================================
--- code/branches/CampaignMap_HS17/data/levels/NC_StoryModeLevel.oxw	(revision 11564)
+++ code/branches/CampaignMap_HS17/data/levels/NC_StoryModeLevel.oxw	(revision 11584)
@@ -1,4 +1,4 @@
 <LevelInfo
- name = "Nikola and Claudio's StoryMode"
+ name = "NC StoryMode"
  description = "A level in which the Campaign Menu is defined, which opens other levels."
  tags = "test"
@@ -30,43 +30,24 @@
 
   <SpawnPoint position="000.000, 000.000, 1000.000" spawnclass=SpaceShip orientation="0, 0, 0, -1" pawndesign= spaceshipescort />
+   
+
+ <StoryModePlanet levelName="gaggiplanet1" position="0,0,0" direction="0,0,0">
+  <attached>
+    <Model position="0,0,0" mesh="planets/moon.mesh" scale=100 />
+  </attached>
+ </StoryModePlanet>
+
+<StoryModePlanet levelName="gaggiplanet2" position="600,0,0" direction="0,0,0">
+  <attached>
+    <Model position="0,0,0" mesh="planets/moon.mesh" scale=100 />
+  </attached>
+ </StoryModePlanet>
     
-
-  <StaticEntity position="0,0,0" direction="0,0,0" >
-    <attached>
-
-    <Model position="600,370,0" mesh="planets/moon.mesh" scale=100 />
-    <Billboard colour="1,1,0.05" position="600,370,-80"  material="Flares/lensflare" scale=4.5 />
+<StoryModePlanet levelName="gaggiplanet3" position="1200,0,0" direction="0,0,0">
+  <attached>
+    <Model position="0,0,0" mesh="planets/moon.mesh" scale=100 />
+  </attached>
+</StoryModePlanet>
   
-    <Model position="100,350,-250" mesh="planets/moon.mesh" scale=100  />
-    <Billboard colour="1,1,0.05" position="100,350,-330"  material="Flares/lensflare" scale=4.5 />
-
-    <Model position="-600,250,-500" mesh="planets/moon.mesh" scale=100 />
-    <Billboard colour="1,1,0.05" position="-600,250,-580"  material="Flares/lensflare" scale=5 />
-
-    <Model position="-1000,50,-750" mesh="planets/moon.mesh" scale=100 />
-    <Billboard colour="1,1,0.05" position="-1000,50,-830"  material="Flares/lensflare" scale=5 />
-
-    <Model position="-900,-400,-1000" mesh="planets/moon.mesh" scale=100 />
-    <Billboard colour="1,1,0.05" position="-900,-400,-1080"  material="Flares/lensflare" scale=5 />
-
-    <Model position="-500,-700,-1250" mesh="planets/moon.mesh" scale=100 />
-    <Billboard colour="1,1,0.05" position="-500,-700,-1330"  material="Flares/lensflare" scale=5 />
-
-    <Model position="0,-900,-1500" mesh="planets/moon.mesh" scale=100 />
-    <Billboard colour="1,1,0.05" position="0,-900,-1580" material="Flares/lensflare" scale=5 />
-
-    <Model position="700,-1100,-1750" mesh="planets/moon.mesh" scale=100 />
-    <Billboard colour="1,1,0.05" position="700,-1100,-1830"  material="Flares/lensflare" scale=5 />
-
-    <Model position="1500,-1300,-2000" mesh="planets/moon.mesh" scale=100 />
-    <Billboard colour="1,1,0.05" position="1500,-1300,-2080"  material="Flares/lensflare" scale=5 />
-
-    <Model position="0,0,0" mesh="planets/moon.mesh" scale=100 />
-    
-
-  </attached>
-</StaticEntity>
-
-    
   </Scene>
 </Level>
Index: code/branches/CampaignMap_HS17/data/levels/emptyLevel.oxw
===================================================================
--- code/branches/CampaignMap_HS17/data/levels/emptyLevel.oxw	(revision 11564)
+++ code/branches/CampaignMap_HS17/data/levels/emptyLevel.oxw	(revision 11584)
@@ -30,36 +30,4 @@
   >
 
-  <StoryModePlanet position="0,0,0" direction="0,0,0">
-  <attached>
-
-    <Model position="600,370,0" mesh="planets/moon.mesh" scale=100 />
-    <Billboard colour="1,1,0.05" position="600,370,-80"  material="Flares/lensflare" scale=4.5 />
-  
-    <Model position="100,350,-250" mesh="planets/moon.mesh" scale=100  />
-    <Billboard colour="1,1,0.05" position="100,350,-330"  material="Flares/lensflare" scale=4.5 />
-
-    <Model position="-600,250,-500" mesh="planets/moon.mesh" scale=100 />
-    <Billboard colour="1,1,0.05" position="-600,250,-580"  material="Flares/lensflare" scale=5 />
-
-    <Model position="-1000,50,-750" mesh="planets/moon.mesh" scale=100 />
-    <Billboard colour="1,1,0.05" position="-1000,50,-830"  material="Flares/lensflare" scale=5 />
-
-    <Model position="-900,-400,-1000" mesh="planets/moon.mesh" scale=100 />
-    <Billboard colour="1,1,0.05" position="-900,-400,-1080"  material="Flares/lensflare" scale=5 />
-
-    <Model position="-500,-700,-1250" mesh="planets/moon.mesh" scale=100 />
-    <Billboard colour="1,1,0.05" position="-500,-700,-1330"  material="Flares/lensflare" scale=5 />
-
-    <Model position="0,-900,-1500" mesh="planets/moon.mesh" scale=100 />
-    <Billboard colour="1,1,0.05" position="0,-900,-1580" material="Flares/lensflare" scale=5 />
-
-    <Model position="700,-1100,-1750" mesh="planets/moon.mesh" scale=100 />
-    <Billboard colour="1,1,0.05" position="700,-1100,-1830"  material="Flares/lensflare" scale=5 />
-
-    <Model position="1500,-1300,-2000" mesh="planets/moon.mesh" scale=100 />
-    <Billboard colour="1,1,0.05" position="1500,-1300,-2080"  material="Flares/lensflare" scale=5 />
-
-  </attached>
-  </StoryModePlanet>
   <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
   <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
Index: code/branches/CampaignMap_HS17/data/overlays/StoryModeHUD2.oxo
===================================================================
--- code/branches/CampaignMap_HS17/data/overlays/StoryModeHUD2.oxo	(revision 11564)
+++ code/branches/CampaignMap_HS17/data/overlays/StoryModeHUD2.oxo	(revision 11584)
@@ -1,39 +1,5 @@
-<!--
-<Template name="defaultHUD">
-  <OverlayGroup name = "defaultHUD" scale = "1, 1">
-    <ChatOverlay
-     name     = "chat"
-     position = "0.03, 0.5"
-     font     = "VeraMono"
-     caption  = ""
-     textsize = 0.025
-    />
-
-    <GametypeStatus
-     name     = "state"
-     position = "0.5, 0.85"
-     font     = "VeraMono"
-     textsize = 0.05
-     colour   = "1.0, 1.0, 0.0, 0.8"
-     align    = "center"
-    />
-  </OverlayGroup>
-</Template>
--->
-
 
 <Template name="StoryModeHUD2">
   <OverlayGroup name = "spaceshiphud" scale = "1, 1">
-
-    <!--
-    <HUDNavigation
-     name          = "Navigation"
-     correctaspect = true
-     font          = "Arial"
-     textsize      = 0.03
-     navMarkerSize = 0.00
-     aimMarkerSize = 0.00
-    />
-  -->
 
     <!-- This is the storymode HUD we implemented, to give names to planet objects, rather than using the HUDnavigation-->
@@ -41,6 +7,6 @@
      name           = "StoryMode"
      correctaspect  = true
-     font           = "Monofur"
-     textSize       = 0.05
+     font           = "Arial"
+     textSize       = 0.5
     />
 