Index: code/branches/CampaignMap_HS17/data/levels/NC_StoryModeLevel.oxw
===================================================================
--- code/branches/CampaignMap_HS17/data/levels/NC_StoryModeLevel.oxw	(revision 11584)
+++ code/branches/CampaignMap_HS17/data/levels/NC_StoryModeLevel.oxw	(revision 11588)
@@ -8,5 +8,4 @@
 <?lua
   include("stats.oxo")
-  include("StoryModeHUD2.oxo")
   include("templates/lodInformation.oxt")
   include("templates/StoryMode.oxt")
@@ -32,5 +31,5 @@
    
 
- <StoryModePlanet levelName="gaggiplanet1" position="0,0,0" direction="0,0,0">
+ <StoryModePlanet levelName="plizzanet1" position="0,0,0" direction="0,0,0">
   <attached>
     <Model position="0,0,0" mesh="planets/moon.mesh" scale=100 />
@@ -38,5 +37,5 @@
  </StoryModePlanet>
 
-<StoryModePlanet levelName="gaggiplanet2" position="600,0,0" direction="0,0,0">
+<StoryModePlanet levelName="plizzanet2" position="600,0,0" direction="0,0,0">
   <attached>
     <Model position="0,0,0" mesh="planets/moon.mesh" scale=100 />
@@ -44,5 +43,5 @@
  </StoryModePlanet>
     
-<StoryModePlanet levelName="gaggiplanet3" position="1200,0,0" direction="0,0,0">
+<StoryModePlanet levelName="plizzanet3" position="1200,0,0" direction="0,0,0">
   <attached>
     <Model position="0,0,0" mesh="planets/moon.mesh" scale=100 />
Index: code/branches/CampaignMap_HS17/data/overlays/HUDTemplates3.oxo
===================================================================
--- code/branches/CampaignMap_HS17/data/overlays/HUDTemplates3.oxo	(revision 11584)
+++ code/branches/CampaignMap_HS17/data/overlays/HUDTemplates3.oxo	(revision 11588)
@@ -55,5 +55,5 @@
      correctaspect  = false
      font           = "Monofur"
-     textSize       = 0.05
+     textSize       = 0.01
      align          = "center"
     />
Index: code/branches/CampaignMap_HS17/data/overlays/StoryModeHUD2.oxo
===================================================================
--- code/branches/CampaignMap_HS17/data/overlays/StoryModeHUD2.oxo	(revision 11584)
+++ code/branches/CampaignMap_HS17/data/overlays/StoryModeHUD2.oxo	(revision 11588)
@@ -8,5 +8,5 @@
      correctaspect  = true
      font           = "Arial"
-     textSize       = 0.5
+     textSize       = 0.01f
     />
 
Index: code/branches/CampaignMap_HS17/src/modules/overlays/hud/StoryModeHUD.cc
===================================================================
--- code/branches/CampaignMap_HS17/src/modules/overlays/hud/StoryModeHUD.cc	(revision 11584)
+++ code/branches/CampaignMap_HS17/src/modules/overlays/hud/StoryModeHUD.cc	(revision 11588)
@@ -92,5 +92,7 @@
 
         
-        for(unsigned int i = 0; i < ObjectList<StoryModePlanet>().size(); i++){
+        int i = 0;
+        for(StoryModePlanet* planet : ObjectList<StoryModePlanet>()){
+
 
             Ogre::TextAreaOverlayElement* text = static_cast<Ogre::TextAreaOverlayElement*>( Ogre::OverlayManager::getSingleton()
@@ -98,17 +100,26 @@
 
             texts.push_back(text);
-            //text->setFontName(this->fontName_);
-            //text->setCharHeight(this->textSize_ * yScale);
             texts[i]->setDimensions(xScale, yScale);
+
+            //PROBLEM: function doesn't get called automatically by the xml macro,
+            //which is why we need to call it manually here. works with storymodeplanet.h...
+            this->setFont("Monofur");
+            this->setTextSize(0.05f);
+
+            //font name of the text needs to be set here, not in the xml setter function
+            texts[i]->setFontName(this->fontName_);
+            texts[i]->setCharHeight(this->textSize_ * yScale);
+
+            //set text
+            texts[i]->setCaption(planet->getLevelName());
 
             texts[i]->hide();
         
             this->background_->addChild(texts[i]);
+            i++;
         }
-        //this->setFont("Monofur");
-        //this->setTextSize("0.5f");
     }
 
-    // Set the Font size of the Text.
+    // Set the Font of this HUD.
     void StoryModeHUD::setFont(const std::string& font)
     {
@@ -116,14 +127,12 @@
         if (fontPtr.isNull())
         {
-            orxout(internal_warning) << "StoryModeHUD: Font '" << font << "' not found" << endl;
+            this->fontName_ = "Monofur";
+            orxout(internal_warning) << "StoryModeHUD: Font '" << font << "' not found. Font has been set to Monofur." << endl;
             return;
         }
         this->fontName_ = font;
-        for(Ogre::TextAreaOverlayElement* text : texts)
-            if(text != nullptr)
-                text->setFontName(this->fontName_);
     }
    
-    // Gets the Font of the Text    
+    // Gets the Font of this HUD    
     const std::string& StoryModeHUD::getFont() const
     {
@@ -136,5 +145,6 @@
         if (size <= 0.0f)
         {
-            orxout(internal_warning) << "StoryModeHUD: Negative font size not allowed" << endl;
+            this->textSize_ = 0.05f;
+            orxout(internal_warning) << "StoryModeHUD: Non positive font size not allowed. Font size has been set to 0.05" << endl;
             return;
         }
@@ -165,7 +175,4 @@
         for(StoryModePlanet* planet : ObjectList<StoryModePlanet>()){
 
-            //display name next to cursor
-            texts[i]->setCaption(planet->getLevelName());
-
             // Transform to screen coordinates
             Vector3 pos = camTransform * planet->getWorldPosition();
Index: code/branches/CampaignMap_HS17/src/modules/overlays/hud/StoryModeHUD.h
===================================================================
--- code/branches/CampaignMap_HS17/src/modules/overlays/hud/StoryModeHUD.h	(revision 11584)
+++ code/branches/CampaignMap_HS17/src/modules/overlays/hud/StoryModeHUD.h	(revision 11588)
@@ -54,8 +54,8 @@
             std::vector<Ogre::TextAreaOverlayElement*> texts;
             void initialize();
-            void setTextSize(float size);
-            float getTextSize() const;
+            virtual void setTextSize(float size);
+            virtual float getTextSize() const;
 
-            void setFont(const std::string& font);
+            virtual void setFont(const std::string& font);
             const std::string& getFont() const;
 