Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc	(revision 11580)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc	(revision 11589)
@@ -69,9 +69,8 @@
         sDeathMessage = "Welcome to FlappyOrx";
         bIsDead = true;
-        multiplier = 1;
-        b_combo = false;
         this->spawnDistance=200;
         this->tubeOffsetX=500;
         this->setHUDTemplate("FlappyOrxHUD");
+        firstGame = true;
     }
 
@@ -225,4 +224,5 @@
     void FlappyOrx::death(){
         bIsDead = true;
+        firstGame = false;
         
         if(point<10)        sDeathMessage = DeathMessage10[rand()%(DeathMessage10.size())];
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.h
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.h	(revision 11580)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.h	(revision 11589)
@@ -96,4 +96,5 @@
             bool bShowLevel;
             bool bIsDead;
+            bool firstGame;
             std::string sDeathMessage;
             std::queue<int> tubes;
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxHUDinfo.cc
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxHUDinfo.cc	(revision 11580)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxHUDinfo.cc	(revision 11589)
@@ -81,24 +81,32 @@
                 }
                 else if(this->bShowGameOver_){
-                    std::string message;
-                    setTextSize(0.05);
-                    switch(messageID){
-                        case 0:
-                            message = "Game Over";
-                            setTextSize(0.1);
-                            this->setCaption(message);
-                        break;
-                        case 1:
-                            message = this->FlappyOrxGame->sDeathMessage;
-                        break;
-                        case 2:
-                            message = "Your Score: "+multi_cast<std::string>(this->FlappyOrxGame->getPoints())+
-                                                    "  Local High Score: "+multi_cast<std::string>(Highscore::getInstance().getHighestScoreOfGame("Flappy Orx"));
-                        break;
-                        case 3:
-                            message = "Press space to restart.";
-                        break;
+                    if(this->FlappyOrxGame->firstGame){
+                        if(messageID==3){
+                            setTextSize(0.05);
+                            this->setCaption("press space to start");
+                        }
                     }
-                    this->setCaption(message);
+                    else{
+                        std::string message;
+                        setTextSize(0.05);
+                        switch(messageID){
+                            case 0:
+                                message = "Game Over";
+                                setTextSize(0.1);
+                                this->setCaption(message);
+                            break;
+                            case 1:
+                                message = this->FlappyOrxGame->sDeathMessage;
+                            break;
+                            case 2:
+                                message = "Your Score: "+multi_cast<std::string>(this->FlappyOrxGame->getPoints())+
+                                                        "  Local High Score: "+multi_cast<std::string>(Highscore::getInstance().getHighestScoreOfGame("Flappy Orx"));
+                            break;
+                            case 3:
+                                message = "Press space to restart.";
+                            break;
+                        }
+                        this->setCaption(message);
+                    }
                 }
             }   