Index: code/branches/FlappyOrx_HS17/data/levels/FlappyOrx.oxw
===================================================================
--- code/branches/FlappyOrx_HS17/data/levels/FlappyOrx.oxw	(revision 11595)
+++ code/branches/FlappyOrx_HS17/data/levels/FlappyOrx.oxw	(revision 11596)
@@ -1,5 +1,5 @@
 <LevelInfo
  name = "Flappy Orx"
- description = "TODO"
+ description = "A clone of the iconic Flappy Bird"
  tags = "minigame"
  screenshot = "orxonoxArcade.png"
@@ -7,14 +7,8 @@
 
 <?lua
-  include("stats.oxo")
   include("templates/lodInformation.oxt")
-?>
+  include("templates/spaceshipFlappyOrx.oxt")
+  include("overlays/FlappyOrxHUD.oxo")
 
-<?lua
-  include("templates/spaceshipAssff2.oxt")
-  include("templates/spaceshipPirate.oxt")
-  include("templates/spaceshipFlappyOrx.oxt")
-  include("templates/enemyFlappyOrx.oxt")
-  include("overlays/FlappyOrxHUD.oxo")
 ?>
 
@@ -26,13 +20,9 @@
     <Template link=lodtemplate_default />
   </templates>
-  <?lua include("includes/notifications.oxi") ?>
 
-    <!-- ambientlight = "0.8, 0.8, 0.8"
-    skybox       = "Orxonox/Starbox" -->
   <Scene
     ambientlight = "0.8, 0.7, 0.4"
     skybox     = "Orxonox/skyBoxBasic"
   >
-
   <WorldAmbientSound
     source="Earth.ogg"
@@ -41,6 +31,5 @@
   />
 
-    <!-- <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/> -->
-    <Light type=directional position="11000, 11000, -7000" lookat="0, 0, 0" diffuse="1, 1, 1, 1" specular="1.0, 0.9, 0.9, 1.0" />
+ <Light type=directional position="11000, 11000, -7000" lookat="0, 0, 0" diffuse="1, 1, 1, 1" specular="1.0, 0.9, 0.9, 1.0" />
     <SpawnPoint team=0 position="0,0,0" lookat="0,0,0" spawnclass=FlappyOrxShip pawndesign=spaceshipFlappyOrx />
 
@@ -48,6 +37,4 @@
     <FlappyOrxCenterPoint name=flappyorxcenter />
     
-
-
     <?lua
       for i = 1, 5, 1 do
@@ -55,22 +42,22 @@
     ?>
 
-    <Template name=Asteroid<?lua print(j) ?>_<?lua print(i) ?>>
-      <MovableEntity
-        collisionType = dynamic
-        linearDamping = 0.8
-        angularDamping = 0
-        scale = "<?lua print(j) ?>"
-        collisiondamage = 10000
-        enablecollisiondamage = true
-      >
-      
-        <attached>
-          <Model mass="1000" mesh="ast<?lua print(i) ?>.mesh" />
-        </attached>
-        <collisionShapes>
-          <SphereCollisionShape radius="<?lua print(j + 5) ?>" />
-        </collisionShapes>
-      </MovableEntity>
-    </Template>
+        <Template name=Asteroid<?lua print(j) ?>_<?lua print(i) ?>>
+          <MovableEntity
+            collisionType = dynamic
+            linearDamping = 0.8
+            angularDamping = 0
+            scale = "<?lua print(j) ?>"
+            collisiondamage = 10000
+            enablecollisiondamage = true
+          >
+          
+            <attached>
+              <Model mass="1000" mesh="ast<?lua print(i) ?>.mesh" />
+            </attached>
+            <collisionShapes>
+              <SphereCollisionShape radius="<?lua print(j + 5) ?>" />
+            </collisionShapes>
+          </MovableEntity>
+        </Template>
 
     <?lua
@@ -78,53 +65,4 @@
       end
     ?>
-
-    <!--
-     <?lua
-      for i = 1, 30, 1 do
-        j = math.random()
-    ?>
-
-    <MovableEntity
-      position = "<?lua print(i* 300) ?>,0, <?lua print(j* 200) ?>"
-      collisionType = dynamic
-      linearDamping = 0.8
-      angularDamping = 0
-      scale = "<?lua print(10)?>"
-      collisiondamage = 100000
-      enablecollisiondamage = true
-    >
-    
-      <attached>
-        <Model mass="1000" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
-      </attached>
-      <collisionShapes>
-        <SphereCollisionShape radius="<?lua print(10) ?>" />
-      </collisionShapes>
-    </MovableEntity>
-
-     <MovableEntity
-      position = "<?lua print(i* 300) ?>,0,<?lua print(-150 + j* 200) ?>"
-      collisionType = dynamic
-      linearDamping = 0.8
-      angularDamping = 0
-      scale = "<?lua print(10)?>"
-      collisiondamage = 100000
-      enablecollisiondamage = true
-    >
-    
-      <attached>
-        <Model mass="1000" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
-      </attached>
-      <collisionShapes>
-        <SphereCollisionShape radius="<?lua print(10) ?>" />
-      </collisionShapes>
-    </MovableEntity>
-
-    <?lua
-      end
-    ?>
-  -->
-    
-    
   </Scene>
 </Level>
Index: code/branches/FlappyOrx_HS17/data/levels/Invaders.oxw
===================================================================
--- code/branches/FlappyOrx_HS17/data/levels/Invaders.oxw	(revision 11595)
+++ code/branches/FlappyOrx_HS17/data/levels/Invaders.oxw	(revision 11596)
@@ -49,15 +49,11 @@
     
     <InvaderCenterPoint name=invadercenter />
-    <?lua
-      for i = 1, 30, 1 do
-        j = math.random()
-    ?>
-
-    <MovableEntity
-      position = "<?lua print(i* 3000) ?>,0, <?lua print(j* 200) ?>"
+    
+     <MovableEntity
+      position = "3000,0,0"
       collisionType = dynamic
       linearDamping = 0.8
       angularDamping = 0
-      scale = "<?lua print(10)?>"
+      scale = "10"
       collisiondamage = 0
       enablecollisiondamage = true
@@ -65,32 +61,12 @@
     
       <attached>
-        <Model mass="1000" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
+        <Model mass="1000" mesh="ast6.mesh" />
       </attached>
       <collisionShapes>
-        <SphereCollisionShape radius="<?lua print(10) ?>" />
+        <SphereCollisionShape radius="10" />
       </collisionShapes>
     </MovableEntity>
 
-     <MovableEntity
-      position = "<?lua print(i* 3000) ?>,0,<?lua print(-150 + j* 200) ?>"
-      collisionType = dynamic
-      linearDamping = 0.8
-      angularDamping = 0
-      scale = "<?lua print(10)?>"
-      collisiondamage = 0
-      enablecollisiondamage = true
-    >
     
-      <attached>
-        <Model mass="1000" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
-      </attached>
-      <collisionShapes>
-        <SphereCollisionShape radius="<?lua print(10) ?>" />
-      </collisionShapes>
-    </MovableEntity>
-
-    <?lua
-      end
-    ?>
     
   </Scene>
Index: code/branches/FlappyOrx_HS17/data/levels/templates/spaceshipFlappyOrx.oxt
===================================================================
--- code/branches/FlappyOrx_HS17/data/levels/templates/spaceshipFlappyOrx.oxt	(revision 11595)
+++ code/branches/FlappyOrx_HS17/data/levels/templates/spaceshipFlappyOrx.oxt	(revision 11596)
@@ -1,9 +1,8 @@
 <Template name=spaceshipFlappyOrx>
   <FlappyOrxShip
-   hudtemplate            = spaceshiphud
+
    camerapositiontemplate = spaceshipescortcameras
    spawnparticlesource    = "Orxonox/fairytwirl"
-   spawnparticleduration  = 3
-   explosionchunks        = 4
+   spawnparticleduration  = 6
 
    health            = 80
@@ -11,25 +10,7 @@
    initialhealth     = 80
 
-   shieldhealth        = 35
-   initialshieldhealth = 35
-   maxshieldhealth     = 60
-   shieldabsorption    = 0.9
-   shieldrechargerate  = 1
-   shieldrechargewaittime = 1
-
    primaryThrust     = 150
    auxilaryThrust    = 30
    rotationThrust    = 50
-
-   lift = 1;
-   stallSpeed = 220;
-
-   boostPower            = 20
-   boostPowerRate        = 1
-   boostRate             = 5
-   boostCooldownDuration = 10
-
-   shakeFrequency = 15
-   shakeAmplitude = 6
 
    collisionType     = "dynamic"
@@ -51,9 +32,5 @@
     <attached>
       <Model position="0,0,0" yaw=180 pitch=90 roll=270 scale=9 mesh="FlappyOrxShip.mesh" />
-      <!-- <Model position="0,0,0" yaw=180 pitch=90 roll=0 scale=4 mesh="escortWeapon.mesh" /> -->
-<!--Model mesh="cube.mesh" mass=10 position="0,0,3" scale3D="10,4,8" />
-<Model mesh="cube.mesh" mass=10 position="12.6,-2,3" scale3D="2.8,2.8,11" />
-<Model mesh="cube.mesh" mass=10 position="-12.6,-2,3" scale3D="2.8,2.8,11" />
-<Model mesh="cube.mesh" mass=10 position="0,0,-12" scale3D="4,4,7" /-->
+    
     </attached>
     <collisionShapes>
@@ -62,18 +39,5 @@
       <SphereCollisionShape position="0   ,0 ,  11" radius="12.5" />
     </collisionShapes>
-    <explosion >
-      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
-      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
-      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
-
-      <ExplosionPart minspeed=0 maxspeed=0 effect1="Orxonox/explosion2b" effect2="Orxonox/smoke6" />
-      <ExplosionPart mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-    </explosion>
-<?lua
-  include("../includes/FlappyOrxWeapon.oxi")
-?>
+  
   </FlappyOrxShip>
 </Template>
@@ -82,7 +46,4 @@
   <FlappyOrxShip>
     <camerapositions>
-<!--       <CameraPosition position="0,15, 60" drag=true mouselook=true />
-      <CameraPosition position="0,20, 90" drag=true mouselook=true />
-      <CameraPosition position="0,30,120" drag=true mouselook=true /> -->
       <CameraPosition position="0,300,-100" direction="0, -1, 0" drag=false absolute=true mouselook=true />
     </camerapositions>
@@ -90,41 +51,2 @@
 </Template>
 
-<Template name=spaceshipFlappyOrxengine baseclass=MultiStateEngine>
-  <MultiStateEngine
-   boostfactor    = 2.2
-
-   speedfront     = 200
-   speedback      =  70
-   speedleftright =  70
-   speedupdown    =  70
-
-   defEngineSndNormal = "sounds/Engine_low.ogg"
-   defEngineSndBoost = "sounds/Engine_high.ogg"
-
-   accelerationfront     = 700
-   accelerationbrake     = 700
-   accelerationback      =  125
-   accelerationleftright =  125
-   accelerationupdown    =  125
-  >
-    <EffectContainer condition="idle">
-      <WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
-    </EffectContainer>
-    <EffectContainer condition="not idle">
-      <FadingBillboard mainstate=activity active=false scale=0.09 position="12, -2, 13" colour="0.2, 1.0, 0.65, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
-      <FadingBillboard mainstate=activity active=false scale=0.09 position="-12, -2, 13" colour="0.2, 1.0, 0.65, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
-    </EffectContainer>
-    <EffectContainer condition="normal or brake">
-
-    </EffectContainer>
-    <EffectContainer condition="normal or boost">
-      <Backlight mainstate=activity active=false scale=0.33 name=bltest position=" 12, 0, 10" colour="0.2, 1.0, 0.65, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
-      <Backlight mainstate=activity active=false scale=0.33 name=bltest position="-12, 0, 10" colour="0.2, 1.0, 0.65, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
-    </EffectContainer>
-    <EffectContainer condition="boost">
-      <Backlight mainstate=activity active=false scale=0.33 name=bltest position=" 12, 0, 10" colour="0.6, 0.8, 0.75, 0.7" width=25 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
-      <Backlight mainstate=activity active=false scale=0.33 name=bltest position="-12, 0, 10" colour="0.6, 0.8, 0.75, 0.7" width=25 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
-    </EffectContainer>
-
-  </MultiStateEngine>
-</Template>
Index: code/branches/FlappyOrx_HS17/data/overlays/FlappyOrxHUD.oxo
===================================================================
--- code/branches/FlappyOrx_HS17/data/overlays/FlappyOrxHUD.oxo	(revision 11595)
+++ code/branches/FlappyOrx_HS17/data/overlays/FlappyOrxHUD.oxo	(revision 11596)
@@ -1,7 +1,2 @@
-<Template name="spectatorhud">
-  <OverlayGroup name = "spectatorhud" scale = "1, 1">
-  </OverlayGroup>
-</Template>
-
 <Template name="FlappyOrxHUD">
   <OverlayGroup name="FlappyOrxHUD" scale = "1, 1">
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.h
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.h	(revision 11595)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.h	(revision 11596)
@@ -168,8 +168,7 @@
                 "You should really try that again",
                 "You can do better, can you?",
-                "Hey maybe you get a participation award, that's good isn't it?",
+                "Hey, maybe you get a participation award, that's good isn't it?",
                 "Congratulations, you get a medal, a wooden one",
                 "That was flappin bad!",
-                "Getting closer to something",
                 "Well, that was a waste of time"};
             std::vector<std::string> DeathMessage30 = {
@@ -179,4 +178,5 @@
                 "That was somehow enjoyable to watch",
                 "Flappin average",
+                "Getting closer to something",
                 "That wasn't crap, not bad"};
             std::vector<std::string> DeathMessage50 = {
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.cc
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.cc	(revision 11595)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.cc	(revision 11596)
@@ -123,11 +123,4 @@
     }
 
-    void FlappyOrxShip::moveFrontBack(const Vector2& value)
-    {
-
-    }
-
-    void FlappyOrxShip::moveRightLeft(const Vector2& value){}
-
     int FlappyOrxShip::timeUntilRespawn(){
         return 2-time(0)+deathTime;