Index: code/branches/FlappyOrx_HS17/data/levels/FlappyOrx.oxw
===================================================================
--- code/branches/FlappyOrx_HS17/data/levels/FlappyOrx.oxw	(revision 11598)
+++ code/branches/FlappyOrx_HS17/data/levels/FlappyOrx.oxw	(revision 11600)
@@ -5,6 +5,9 @@
  screenshot = "orxonoxArcade.png"
 />
-
+<FlappyOrx
+      spawnDistance=50 
+      Speed = 700 />
 <?lua
+  include("includes/notifications.oxi")
   include("templates/lodInformation.oxt")
   include("templates/spaceshipFlappyOrx.oxt")
@@ -37,4 +40,6 @@
     <FlappyOrxCenterPoint name=flappyorxcenter />
     
+    
+
     <?lua
       for i = 1, 5, 1 do
Index: code/branches/FlappyOrx_HS17/data/levels/templates/spaceshipFlappyOrx.oxt
===================================================================
--- code/branches/FlappyOrx_HS17/data/levels/templates/spaceshipFlappyOrx.oxt	(revision 11598)
+++ code/branches/FlappyOrx_HS17/data/levels/templates/spaceshipFlappyOrx.oxt	(revision 11600)
@@ -22,7 +22,7 @@
     enablecollisiondamage = true
 
-    speed = 100
+    
     UpwardThrust = 200
-    gravity = 500
+    Gravity = 700
   >
     <engines>
@@ -37,5 +37,5 @@
       <SphereCollisionShape position="-1.8    ,0 ,  -11" radius="15" />
       <SphereCollisionShape position="-0.8   ,0 ,  0" radius="16" />
-      <SphereCollisionShape position="0   ,0 ,  11" radius="12.5" />
+      <!-- <SphereCollisionShape position="0   ,0 ,  11" radius="12.5" /> -->
     </collisionShapes>
   
Index: code/branches/FlappyOrx_HS17/data/overlays/FlappyOrxHUD.oxo
===================================================================
--- code/branches/FlappyOrx_HS17/data/overlays/FlappyOrxHUD.oxo	(revision 11598)
+++ code/branches/FlappyOrx_HS17/data/overlays/FlappyOrxHUD.oxo	(revision 11600)
@@ -1,2 +1,4 @@
+
+
 <Template name="FlappyOrxHUD">
   <OverlayGroup name="FlappyOrxHUD" scale = "1, 1">
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc	(revision 11598)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc	(revision 11600)
@@ -37,5 +37,5 @@
 #include "core/command/Executor.h"
 #include "core/config/ConfigValueIncludes.h"
-
+#include "core/XMLPort.h"
 #include "gamestates/GSLevel.h"
 #include "chat/ChatManager.h"
@@ -63,6 +63,6 @@
         bIsDead = true;
         firstGame = true;                   //needed for the HUD
-
-        spawnDistance=200;                  //distance between tubes
+        speed = 0;
+        spawnDistance=300;                  //distance between tubes
         tubeOffsetX=500;                    //tube offset (so that we can't see them spawn)
 
@@ -70,5 +70,11 @@
         setHUDTemplate("FlappyOrxHUD");
     }
-
+    
+    void FlappyOrx::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+        {   
+            SUPER(FlappyOrx, XMLPort, xmlelement, mode);
+            XMLPortParam(FlappyOrx, "spawnDistance", setspawnDistance, getspawnDistance, xmlelement, mode);
+            XMLPortParam(FlappyOrx, "Speed", setSpeed, getSpeed, xmlelement, mode);
+        }
 
     void FlappyOrx::updatePlayerPos(int x){
@@ -95,6 +101,6 @@
     void FlappyOrx::levelUp(){
         point++;
-        spawnDistance = 300-3*point;            //smaller spawn Distance
-        getPlayer()->setSpeed(100+.5*point);    //increase speed
+        spawnDistance = spawnDistance-3*point;            //smaller spawn Distance
+        getPlayer()->setSpeed(this->speed+.5*point);    //increase speed
     }
 
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.h
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.h	(revision 11598)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.h	(revision 11600)
@@ -67,4 +67,15 @@
             virtual void death();
             virtual void addBots(unsigned int amount) override{} //<! overwrite function in order to bypass the addbots command
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            
+            void setspawnDistance( int spawnDistance)
+                {this->spawnDistance = spawnDistance; }
+            int getspawnDistance()
+                { return this->spawnDistance; }  
+            inline void setSpeed( float speed ){   
+                orxout()<< speed<< endl;
+                this->speed = speed; }
+            inline float getSpeed( )
+                { return this->speed; }
 
             void updatePlayerPos(int x);
@@ -74,5 +85,5 @@
             
             void setCenterpoint(FlappyOrxCenterPoint* center);
-
+           
             int getPoints(){return this->point;}
             
@@ -92,4 +103,5 @@
             int spawnDistance;
             int tubeOffsetX;
+            float speed = 100;
             
         private:
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.cc
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.cc	(revision 11598)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.cc	(revision 11600)
@@ -58,11 +58,10 @@
     }
 
-    
     void FlappyOrxShip::XMLPort(Element& xmlelement, XMLPort::Mode mode)
         {   
             SUPER(FlappyOrxShip, XMLPort, xmlelement, mode);
-            XMLPortParam(FlappyOrxShip, "speed", setSpeed, getSpeed, xmlelement, mode);
+            XMLPortParam(FlappyOrxShip, "Speed", setSpeed, getSpeed, xmlelement, mode);
             XMLPortParam(FlappyOrxShip, "UpwardThrust", setUpwardThrust, getUpwardThrust, xmlelement, mode);
-            XMLPortParam(FlappyOrxShip, "gravity", setGravity, getGravity, xmlelement, mode);
+            XMLPortParam(FlappyOrxShip, "Gravity", setGravity, getGravity, xmlelement, mode);
     }
 
@@ -117,10 +116,4 @@
     }
 
-    void FlappyOrxShip::updateLevel()
-    {
-        if (getGame())
-            getGame()->levelUp();
-    }
-
     int FlappyOrxShip::timeUntilRespawn(){
         return 2-time(0)+deathTime;
@@ -137,10 +130,10 @@
     }
 
-    void FlappyOrxShip::rotateRoll(const Vector2& value)
-    {
-        if (getGame())
-            if (getGame()->bEndGame)
-                getGame()->end();
-    }
+    // void FlappyOrxShip::rotateRoll(const Vector2& value)
+    // {
+    //     if (getGame())
+    //         if (getGame()->bEndGame)
+    //             getGame()->end();
+    // }
 
     FlappyOrx* FlappyOrxShip::getGame()
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.h
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.h	(revision 11598)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.h	(revision 11600)
@@ -49,8 +49,5 @@
             virtual void tick(float dt) override;
 
-            // overwrite for 2d movement
-            virtual void moveFrontBack(const Vector2& value) override;
-            virtual void moveRightLeft(const Vector2& value) override;
-
+            
             // Starts or stops fireing
             virtual void boost(bool bBoost) override;
@@ -60,7 +57,9 @@
             virtual void rotatePitch(const Vector2& value) override{};
             //return to main menu if game has ended.
-            virtual void rotateRoll(const Vector2& value) override;
-            inline void setSpeed( float speed )
-                { orxout() << "speed set: " << speed << endl; this->speed = speed; }
+            //virtual void rotateRoll(const Vector2& value) override;
+            
+            inline void setSpeed( float speed ){   
+                orxout()<< speed<< endl;
+                this->speed = speed; }
             inline float getSpeed( )
                 { return this->speed; }
@@ -73,5 +72,5 @@
             inline float getUpwardThrust()
                 { return this->UpwardThrust; }
-            virtual void updateLevel();
+   
             virtual int timeUntilRespawn();
             